#!/usr/bin/gnuplot

set term post color enhanced
set out 'pics/spectra_ut.eps'
set logscale y
set encoding utf
set xlabel 'p_t[MeV]'
set ylabel 'N_1(p_t)'
set size 0.7,0.7
set title 'A spektrum változása u_t, u_z különbözö értékeire'

plot 'spectra/spectra_ut_uz_2.dat' w l t 'u_t=0.2, u_z=2' lt -1 lc 0, \
	 'spectra/spectra_ut_uz_3.dat' w l t 'u_t=0.3, u_z=3' lt -1 lc 1, \
	 'spectra/spectra_ut_uz_4.dat' w l t 'u_t=0.4, u_z=4' lt -1 lc 2, \
	 'spectra/spectra_ut_uz_5.dat' w l t 'u_t=0.5, u_z=5' lt -1 lc 3, \
	 'spectra/spectra_ut_uz_6.dat' w l t 'u_t=0.6, u_z=6' lt -1 lc 4, \
	 'spectra/spectra_ut_uz_7.dat' w l t 'u_t=0.7, u_z=7' lt -1 lc 5


!convert -rotate 90 -density 400 pics/spectra_ut.eps pics/spectra_ut.png


set out 'pics/spectra_T0.eps'
set title 'A spektrum változása T_0 különbözö értékeire'

plot 'spectra/spectra_T0_180.dat' w l t 'T_0=180' lt -1 lc 1, \
	 'spectra/spectra_T0_190.dat' w l t 'T_0=190' lt -1 lc 2, \
	 'spectra/spectra_T0_200.dat' w l t 'T_0=200' lt -1 lc 3, \
	 'spectra/spectra_T0_210.dat' w l t 'T_0=210' lt -1 lc 4, \
	 'spectra/spectra_T0_220.dat' w l t 'T_0=220' lt -1 lc 5, \
	 'spectra/spectra_T0_230.dat' w l t 'T_0=230' lt -1 lc 6, \
	 'spectra/spectra_T0_240.dat' w l t 'T_0=240' lt -1 lc 7
	 
	 
!convert -rotate 90 -density 400 pics/spectra_T0.eps pics/spectra_T0.png


set out 'pics/spectra_a2.eps'
set title 'A spektrum változása a^2 különbözö értékeire'

plot 'spectra/spectra_a2_1.dat' w l t 'a^2=0.1' lt -1 lc 0, \
	 'spectra/spectra_a2_2.dat' w l t 'a^2=0.2' lt -1 lc 1, \
	 'spectra/spectra_a2_3.dat' w l t 'a^2=0.3' lt -1 lc 2, \
	 'spectra/spectra_a2_4.dat' w l t 'a^2=0.4' lt -1 lc 3, \
	 'spectra/spectra_a2_5.dat' w l t 'a^2=0.5' lt -1 lc 4, \
	 'spectra/spectra_a2_6.dat' w l t 'a^2=0.6' lt -1 lc 5, \
	 'spectra/spectra_a2_7.dat' w l t 'a^2=0.7' lt -1 lc 6, \
	 'spectra/spectra_a2_8.dat' w l t 'a^2=0.8' lt -1 lc 7, \
	 'spectra/spectra_a2_9.dat' w l t 'a^2=0.9' lt -1 lc 8
	 
	 
!convert -rotate 90 -density 400 pics/spectra_a2.eps pics/spectra_a2.png


set out 'pics/spectra_b.eps'
set title 'A spektrum változása b különbözö értékeire'

plot 'spectra/spectra_b_m1.dat' w l t 'b=-0.1' lt -1 lc 0, \
	 'spectra/spectra_b_m2.dat' w l t 'b=-0.2' lt -1 lc 1, \
	 'spectra/spectra_b_m3.dat' w l t 'b=-0.3' lt -1 lc 2, \
	 'spectra/spectra_b_m4.dat' w l t 'b=-0.4' lt -1 lc 3, \
	 'spectra/spectra_b_m5.dat' w l t 'b=-0.5' lt -1 lc 4, \
	 'spectra/spectra_b_m6.dat' w l t 'b=-0.6' lt -1 lc 5, \
	 'spectra/spectra_b_m7.dat' w l t 'b=-0.7' lt -1 lc 6, \
	 'spectra/spectra_b_m8.dat' w l t 'b=-0.8' lt -1 lc 7
	 
	 
!convert -rotate 90 -density 400 pics/spectra_b.eps pics/spectra_b.png


set out 'pics/spectra_m.eps'
set title 'A spektrum különbözö tömegü részecskék esetén'

plot 'spectra/spectra_m_pi.dat' w l t '{/Symbol p}' lt -1 lc 0, \
	 'spectra/spectra_m_K.dat' w l t 'K' lt -1 lc 1, \
	 'spectra/spectra_m_p.dat' w l t 'p' lt -1 lc 2
	 
!convert -rotate 90 -density 400 pics/spectra_m.eps pics/spectra_m.png
