#include <iostream>
#include <iomanip>
#include <cmath>
#include <string>
#include <fstream>
#include <vector>


double T0;
double dtau2;
double m;
double a2;
double b;
double R;
double X;
double Y;
double Z;
double H;
double Hx;
double Hy;
double Hz;
double eps2;
double eps3;
double chi2;
double chi3;
//~ double Rdot;
//~ double Zdot;
//~ double Hdot;
//~ double Hzdot;

double E(double m, double pt)
{
	return sqrt(m*m+pt*pt);
}

double Spectra(double pt, double alpha)
{
	
	double e  = E(m,pt);
	double px = pt*cos(alpha);
	double py = pt*sin(alpha);
	double pz = 0.0;
	
/*	
	// Skálaváltozó és deriváltjai. Az első deriváltakra nincs szükség.
	
	double dx2s = 2*(1+eps2)/R/R+eps3/R/R*(3*cos(phi_s)-cos(3*phi_s));
	double dy2s = 2*(1-eps2)/R/R-eps3/R/R*(3*cos(phi_s)+cos(3*phi_s));
	double dz2s = 2/Z/Z;
	double dxys = -eps3/R/R*(3*sin(phi_s) + sin(3*phi_s));
	
	double dt2s = r_s*r_s*(-4*Rdot*Rdot/R/R+(2*eps2dot*Rdot/pow(R,5)-eps2dot*Rdot/pow(R,3)+3*Rdot*Rdot*eps2/pow(R,4))*cos(2*phi_s)
	+(2*eps3dot*Rdot/pow(R,5)-eps3dot*Rdot/pow(R,3)+3*Rdot*Rdot*eps3/pow(R,4))*cos(3*phi_s))-4*z_s*z_s*Zdot*Zdot/Z/Z;
	double dtxs = 2*r_s/pow(R,3)*(( eps2dot*R-2*Rdot*(1+eps2))*cos(phi_s)+(eps3dot*R-2*Rdot*eps3)*cos(2*phi_s));
	double dtys = 2*r_s/pow(R,3)*((-eps2dot*R-2*Rdot*(1-eps2))*sin(phi_s)-(eps3dot*R-2*Rdot*eps3)*sin(2*phi_s));
	double dtzs = -2*z_s*Zdot/Z/Z;

	double dxPhi   = r_s/H*((1+chi2)*cos(phi_s)+chi3*cos(2*phi_s));
	double dyPhi   = r_s/H*((1-chi2)*sin(phi_s)-chi3*sin(2*phi_s));
	double dzPhi   = z_s/Hz;
	double dx2Phi  = 2*(1+chi2)/H+chi3/H*(3*cos(phi_s)-cos(3*phi_s));
	double dy2Phi  = 2*(1-chi2)/H-chi3/H*(3*cos(phi_s)+cos(3*phi_s));
	double dz2Phi  = 1/Hz;
	double dx3Phi  = 3*chi3*sin(phi_s)/(r_s*H)*(sin(phi_s)-sin(3*phi_s));
	double dy3Phi  = 3*chi3*cos(phi_s)/(r_s*H)*(sin(phi_s)+sin(3*phi_s));
	double dxyPhi  = chi3/2/H*(sin(phi_s)-3*sin(3*phi_s));
	double dyxPhi  = dxyPhi;
	double dxtPhi  = r_s*(( chi2dot*H-(1+chi2)*Hdot)/H/H*cos(phi_s)+(chi3dot*H-Hdot*chi3)/H/H*cos(2*phi_s));
	double dtxPhi  = dxtPhi;
	double dytPhi  = r_s*((-chi2dot*H-(1-chi2)*Hdot)/H/H*sin(phi_s)-(chi3dot*H-Hdot*chi3)/H/H*sin(2*phi_s));
	double dtyPhi  = dytPhi;
	double dztPhi  = -z_s*Hzdot/Hz/Hz;
	double dtzPhi  = dztPhi;// !!!!!!!!!!!!!!!!!!!!!!!!
	double dt2xPhi = r_s*cos(phi_s)*(2*Hdot*Hdot/H/H-(chi2dot*H-Hdot*chi2)*2*Hdot*cos(2*phi_s)/H/H-(chi3dot*H-Hdot*chi3)*2*Hdot*cos(3*phi_s)/H/H)-2*r_s*sin(phi_s)/2/H/H*((chi2dot*H-Hdot*chi2)*Hdot*2*sin(2*phi_s)+(chi3dot*H-Hdot*chi3)*Hdot*2*sin(3*phi_s));
	double dt2yPhi = r_s*sin(phi_s)*(2*Hdot*Hdot/H/H-(chi2dot*H-Hdot*chi2)*2*Hdot*cos(2*phi_s)/H/H-(chi3dot*H-Hdot*chi3)*2*Hdot*cos(3*phi_s)/H/H)-2*r_s*cos(phi_s)/2/H/H*((chi2dot*H-Hdot*chi2)*Hdot*2*sin(2*phi_s)+(chi3dot*H-Hdot*chi3)*Hdot*2*sin(3*phi_s));
	double dt2zPhi = 2*z_s*Hzdot*Hzdot/Hz/Hz;
	double dx2tPhi = 1/H/H*((2*chi2dot*H-(1+chi2)*Hdot)+(chi3dot*H-chi3*Hdot)*(3*cos(phi_s)-cos(3*phi_s)));
	double dtx2Phi = dx2tPhi;
	double dy2tPhi = 1/H/H*((2*chi2dot*H-(1-chi2)*Hdot)-(chi3dot*H-chi3*Hdot)*(3*cos(phi_s)+cos(3*phi_s)));
	double dty2Phi = dy2tPhi;
	double dx2yPhi = 3*chi3*cos(phi_s)/(H*r_s)*(sin(3*phi_s)-sin(phi_s));
	double dyx2Phi = dx2yPhi;
	double dxy2Phi = -3*chi3*sin(phi_s)/(H*r_s)*(sin(3*phi_s)+sin(phi_s));
	double dy2xPhi = dxy2Phi;
	double dz2tPhi = -Hzdot/Hz/Hz;
	double dtz2Phi = dz2tPhi;
	double dxytPhi = (chi3dot*H-Hdot*chi3)/2/H/H*(sin(phi_s)-3*sin(3*phi_s));
	double dtxyPhi = dxytPhi;
	double dxt2xPhi = (chi2dot*Hdot*H-(2*chi2dot*H-(1+chi2)*Hdot)*2*Hdot)/pow(H,3)-(chi3dot*H-Hdot*chi3)*Hdot/pow(H,3)*(3*cos(phi_s)-cos(3*phi_s));
	double dyt2yPhi = (3*chi2dot*Hdot-(2*chi2dot*H-(1-chi2)*Hdot)*2*Hdot)/pow(H,3)+(chi3dot*H-Hdot*chi3)*2*Hdot/pow(H,3)*(3*cos(phi_s)+cos(3*phi_s));
	double dzt2zPhi = 2*Hdot*Hdot/pow(Hz,2);

	//Gamma deriváltak
	double gamma = sqrt(1+dxPhi*dxPhi+dyPhi*dyPhi+dzPhi*dzPhi);
	double gamma2 = gamma*gamma;
	double gamma3 = gamma*gamma*gamma;
	double dt2gamma = 1/gamma2*((dxtPhi*dxtPhi+dxPhi*dt2xPhi+dytPhi*dytPhi+dyPhi*dt2yPhi+dztPhi*dztPhi+dzPhi*dt2zPhi)*gamma-(dxPhi*dxtPhi+dyPhi*dytPhi+dzPhi*dztPhi)*(dxPhi*dxtPhi+dyPhi*dytPhi+dzPhi*dztPhi)/gamma);
	double dtxgamma = 1/gamma2*((dtxPhi*dx2Phi+dxPhi*dtx2Phi+dtyPhi*dxyPhi+dyPhi*dtxyPhi)*gamma-(dxPhi*dx2Phi+dyPhi*dxyPhi)*(dxPhi*dxtPhi+dyPhi*dytPhi+dzPhi*dztPhi)/gamma);
	double dtygamma = 1/gamma2*((dtyPhi*dy2Phi+dyPhi*dty2Phi+dtxPhi*dxyPhi+dxPhi*dtxyPhi)*gamma-(dyPhi*dy2Phi+dxPhi*dxyPhi)*(dyPhi*dytPhi+dxPhi*dxtPhi+dzPhi*dztPhi)/gamma);
	double dtzgamma = 1/gamma2*((dtzPhi*dz2Phi+dzPhi*dtz2Phi)*gamma-(dzPhi*dz2Phi)*(dyPhi*dytPhi+dxPhi*dxtPhi+dzPhi*dztPhi)/gamma);

	double dx2gamma = 1/gamma2*(((dx2Phi*dx2Phi)+(dxyPhi*dxyPhi)+dxPhi*dx3Phi+dyPhi*dyx2Phi)*gamma-(dxPhi*dx2Phi+dyPhi*dxyPhi)*(dxPhi*dx2Phi+dyPhi*dxyPhi)/gamma);
	double dy2gamma = 1/gamma2*(((dy2Phi*dy2Phi)+(dxyPhi*dxyPhi)+dyPhi*dy3Phi+dxPhi*dxy2Phi)*gamma-(dyPhi*dy2Phi+dxPhi*dxyPhi)*(dyPhi*dy2Phi+dxPhi*dxyPhi)/gamma);
	double dz2gamma = 1/gamma2*((dz2Phi*dz2Phi)*gamma-(dzPhi*dz2Phi)*(dzPhi*dz2Phi)/gamma);
	double dxygamma = 1/gamma2*((dxyPhi*dx2Phi+dxPhi*dx2yPhi+dy2Phi*dxyPhi+dyPhi*dxy2Phi)*gamma-(dxPhi*dx2Phi+dyPhi*dxyPhi)*(dyPhi*dy2Phi+dxPhi*dyxPhi)/gamma);
	double dxzgamma = -1/gamma2*(dxPhi*dx2Phi+dyPhi*dxyPhi)*dzPhi*dz2Phi;
	double dyzgamma = -1/gamma2*(dyPhi*dy2Phi+dxPhi*dyxPhi)*dzPhi*dz2Phi;
	
	double p_mu_u_mu = e*gamma-px*dxPhi-py*dyPhi-pz*dzPhi;
	
	double dt2p_mu_u_mu = e*dt2gamma-px*dt2xPhi-py*dt2yPhi-pz*dt2zPhi;
	
	double dtxp_mu_u_mu = e*dtxgamma - px*dtx2Phi - py*dxytPhi;
	double dtyp_mu_u_mu = e*dtygamma - px*dxytPhi - py*dy2tPhi;
	double dtzp_mu_u_mu = e*dtzgamma - pz*dz2tPhi;
	double dxtp_mu_u_mu = dtxp_mu_u_mu;
	double dytp_mu_u_mu = dtyp_mu_u_mu;
	double dztp_mu_u_mu = dtzp_mu_u_mu;
	
	double dx2p_mu_u_mu = e*dx2gamma - px*dx3Phi - py*dx2yPhi;
	double dy2p_mu_u_mu = e*dy2gamma - px*dy2xPhi - py*dy3Phi;
	double dz2p_mu_u_mu = e*dz2gamma;
	double dxyp_mu_u_mu = e*dxygamma - px*dx2yPhi - py*dxy2Phi;
	double dxzp_mu_u_mu = e*dxzgamma;
	double dyzp_mu_u_mu = e*dyzgamma;
	
	double Rtt = 1/dtau2+((1+a2*s)/T0*dt2p_mu_u_mu+(p_mu_u_mu/T0*a2-b)*dt2s)/gamma2;
	double Rtx = ((1+a2*s)/T0*dxtp_mu_u_mu + (p_mu_u_mu/T0*a2-b)*dtxs)/gamma2;
	double Rty = ((1+a2*s)/T0*dytp_mu_u_mu + (p_mu_u_mu/T0*a2-b)*dtys)/gamma2;
	double Rtz = ((1+a2*s)/T0*dztp_mu_u_mu + (p_mu_u_mu/T0*a2-b)*dtzs)/gamma2;
	double Rxx = (1+a2*s)/T0*dx2p_mu_u_mu  + (p_mu_u_mu/T0*a2 - b)*dx2s;
	double Ryy = (1+a2*s)/T0*dy2p_mu_u_mu  + (p_mu_u_mu/T0*a2 - b)*dy2s;
	double Rzz = (1+a2*s)/T0*dz2p_mu_u_mu  + (p_mu_u_mu/T0*a2 - b)*dz2s;
	double Rxy = (1+a2*s)/T0*dxyp_mu_u_mu  + (p_mu_u_mu/T0*a2 - b)*dxys;
	double Rxz = (1+a2*s)/T0*dxzp_mu_u_mu;
	double Ryz = (1+a2*s)/T0*dyzp_mu_u_mu;
	double detR = Rtt*Rxx*Ryy*Rzz
	             -Rtt*Rxx*Ryz*Ryz
	             -Rtt*Rxy*Rxy*Rzz
	           +2*Rtt*Rxy*Rxz*Ryz
	             -Rtt*Rxz*Rxz*Ryy
	             -Rtx*Rtx*Ryy*Rzz
	             +Rtx*Rtx*Ryz*Ryz
	           +2*Rtx*Rty*Rxy*Rzz
	           -2*Rtx*Rty*Rxz*Ryz
	           -2*Rtx*Rtz*Rxy*Ryz
	           +2*Rtx*Rtz*Rxz*Ryy
	             -Rty*Rty*Rxx*Rzz
	             +Rty*Rty*Rxz*Rxz
	           +2*Rty*Rtz*Rxx*Ryz
	           -2*Rty*Rtz*Rxy*Rxz
	             -Rtz*Rtz*Rxx*Ryy
	             +Rtz*Rtz*Rxy*Rxy; */
	
	// Nyeregponti koordináták Descartes-rendszerben
	double rx_s = (px*Hx)/(e+2*(-T0*b+a2*e)*Hx*Hx/X/X);
	double ry_s = (py*Hy)/(e+2*(-T0*b+a2*e)*Hy*Hy/Y/Y);
	double rz_s = (pz*Hz)/(e+2*(-T0*b+a2*e)*Hz*Hz/Z/Z);
		
	// Új, közelített determináns.
	double Rx = X*X*Hx/(e/T0*X*X+2*Hx*(-T0*b+a2*e/T0));
	double Ry = Y*Y*Hy/(e/T0*Y*Y+2*Hy*(-T0*b+a2*e/T0));
	double Rz = Z*Z*Hz/(e/T0*Z*Z+2*Hz*(-T0*b+a2*e/T0));
	double detR = pow((e/T0*a2-b),-1.5)*X*Y*Z/sqrt(8)/sqrt(1+2*dtau2*(e/T0*a2-b)*(1/Hx/Hx+1/Hy/Hy+1/Hz/Hz));
	
	double s    = (rx_s*rx_s+ry_s*ry_s)/R/R+eps2*(rx_s*rx_s-ry_s*ry_s)/R/R+eps3*(rx_s*rx_s*rx_s-3*ry_s*ry_s*rx_s)/R/R/R;
	double gamma = sqrt(1+rx_s*rx_s/Hx/Hx+ry_s*ry_s/Hy/Hy+rz_s*rz_s/Hz/Hz);
	double p_mu_u_mu_uj = e*gamma-px*px*Rx/T0/Hx-py*py*Ry/T0/Hy-pz*pz*Rz/T0/Hz
						-chi3/H/H*(px*px*px*Rx*Rx/T0/T0-px*py*py*Ry*Ry/T0/T0+2*py*py*px*Rx*Ry/T0/T0);

	
	// Spektrum
	double g           = 1;
	double prefactor   = g/(pow(M_PI,2)*8*sqrt(2));
	double exponential = exp(-p_mu_u_mu_uj/T0*(1+a2*s)+b*s);
	double spectra     = prefactor*p_mu_u_mu_uj*detR*exponential;
	
	
	//~ spectra = pow(10,6)*spectra;
	return( spectra );
}
