#include "../alt_func.cc"

using namespace std;

int main()
{	
	m    = 140.0;
	dtau2= 0.01;
	T0   = 170.0;
	a2   = 0.1;
	b = -0.4;	
	Z    = 15;
	R = 5;
	ut = 0.6;
	uz = 6;
	H = R/ut;
	Hz   = Z/uz;
	eps2 = -0.3;
	chi2 = -0.3;
	
	X    = R/sqrt(1-eps2);
	Y    = R/sqrt(1+eps2);
	Hx   = H/sqrt(1-chi2);
	Hy   = H/sqrt(1+chi2);

					
	ofstream outfile("v3_cont.dat",ios::out);
	ofstream outfile2("v2_cont.dat",ios::out);

	double pt = 500;
	
	for(eps3=-0.9;eps3<=0.9;eps3+=0.05)
	{
		for(chi3=-0.9;chi3<=0.9;chi3+=0.05)
		{
			double integral = 0;
			double integral2 = 0;
			double integral3 = 0;
	
			int N = 1000;
			double dphi = 2*M_PI/N;
			vector<double> Nphi;
			
			for(double phi=0;phi<=2*M_PI;phi+=dphi)
				Nphi.push_back(Spectra(pt,phi));
			for(int i=0;i<N;i++)
			{
				double phi = i*dphi;
				double spectra  = (Nphi[i]+Nphi[i+1])/2;
				integral += spectra*dphi;
				double spectra3   = (Nphi[i]*cos(3*phi)+Nphi[i+1]*cos(3*(phi+dphi)))/2;
				integral3 += spectra3*dphi;
			}
			outfile << eps3 << "\t" << chi3 << "\t" << integral3/integral << endl;
		}
	}
	
	for(eps2=-0.9;eps2<=0.9;eps2+=0.05)
	{
		for(chi2=-0.9;chi2<=0.9;chi2+=0.05)
		{
			double integral = 0;
			double integral2 = 0;
	
			int N = 1000;
			double dphi = 2*M_PI/N;
			vector<double> Nphi;
			
			for(double phi=0;phi<=2*M_PI;phi+=dphi)
				Nphi.push_back(Spectra(pt,phi));
			for(int i=0;i<N;i++)
			{
				double phi = i*dphi;
				double spectra  = (Nphi[i]+Nphi[i+1])/2;
				integral += spectra*dphi;
				double spectra2   = (Nphi[i]*cos(2*phi)+Nphi[i+1]*cos(2*(phi+dphi)))/2;
				integral2 += spectra2*dphi;
			}
			outfile2 << eps2 << "\t" << chi2 << "\t" << integral2/integral << endl;
		}
	}	
	outfile.close();
	outfile2.close();
	
	return 0;

}
