#!/usr/bin/gnuplot

set term post color enhanced
set out 'pics/spectra.eps'
set xrange [10:900]
set size 0.7,0.7
set key top left
set logscale y
set title '{/Symbol e}_2=0.3, {/Symbol e}_3=0.1, {/Symbol c}_2=0.3 {/Symbol c}_3=0.1, R=12, Z=12'

plot 'spectra/zero.dat' w l t '{/Symbol e}_2=0.0, {/Symbol e}_3=0.0, {/Symbol c}_2=0.0 {/Symbol c}_3=0.0, R=12, Z=12' lt -1 lc 1, \
	 'spectra/spectra.dat' w l t 'Normal' lt -1 lc 9, \
	 'spectra/spectra_H=0.dat' w l t 'H=Hz=0' lt -1 lc 8, \
	 'spectra/spectra_H=1.dat' w l t 'H=Hz=1' lt 2 lc 6, \
	 'spectra/spectra_H=100.dat' w l t 'H=Hz=100' lt 2 lc 7, \
	 'spectra/spectra_R_Z_1.dat' w l t 'R, Z =2' lt -1 lc 0, \
	 'spectra/spectra_dupla.dat' w l t 'Double' lt -1 lc 5, \
	 'spectra/spectra_zero_eps3.dat' w l t '{/Symbol e}_{3}, {/Symbol c}_{3}=0.0' lt -1 lc 2, \
	 'spectra/spectra_zero_eps2.dat' w l t '{/Symbol e}_{2}, {/Symbol c}_{2}=0.0' lt -1 lc 3
	 
!convert -rotate 90 -density 200 pics/spectra.eps pics/spectra.png
!convert -rotate 90 -density 200 pics/spectra.eps pics/spectra.pdf
