#!/usr/bin/gnuplot

set term post color enhanced
set out 'pics/v2_ut.eps'
set encoding utf
set xlabel 'p_t[MeV]'
set xrange [:1200]
set ylabel 'N_1(p_t)'
set size 0.7,0.7
set key left top
set title 'A v_2 változása u_t, u_z különbözö értékeire'

plot 'v2/v2_ut_uz_2.dat' w l t 'u_t=0.2, u_z=2' lt -1 lc 0, \
	 'v2/v2_ut_uz_3.dat' w l t 'u_t=0.3, u_z=3' lt -1 lc 1, \
	 'v2/v2_ut_uz_4.dat' w l t 'u_t=0.4, u_z=4' lt -1 lc 2, \
	 'v2/v2_ut_uz_5.dat' w l t 'u_t=0.5, u_z=5' lt -1 lc 3, \
	 'v2/v2_ut_uz_6.dat' w l t 'u_t=0.6, u_z=6' lt -1 lc 4, \
	 'v2/v2_ut_uz_7.dat' w l t 'u_t=0.7, u_z=7' lt -1 lc 5


!convert -rotate 90 -density 400 pics/v2_ut.eps pics/v2_ut.png

set out 'pics/v2_T0.eps'
set title 'A v_2 változása T_0 különbözö értékeire'

plot 'v2/v2_T0_170.dat' w l t ' T_0=170' lt -1 lc 0, \
	 'v2/v2_T0_180.dat' w l t ' T_0=180' lt -1 lc 1, \
	 'v2/v2_T0_190.dat' w l t ' T_0=190' lt -1 lc 2, \
	 'v2/v2_T0_200.dat' w l t ' T_0=200' lt -1 lc 3, \
	 'v2/v2_T0_210.dat' w l t ' T_0=210' lt -1 lc 4, \
	 'v2/v2_T0_220.dat' w l t ' T_0=220' lt -1 lc 5, \
	 'v2/v2_T0_230.dat' w l t ' T_0=230' lt -1 lc 6, \
	 'v2/v2_T0_240.dat' w l t ' T_0=240' lt -1 lc 7
	 
	 
!convert -rotate 90 -density 400 pics/v2_T0.eps pics/v2_T0.png


set out 'pics/v2_a2.eps'
set title 'A v_2 változása a^2 különbözö értékeire'

plot 'v2/v2_a2_1.dat' w l t ' a^2=0.1' lt -1 lc 0, \
	 'v2/v2_a2_2.dat' w l t ' a^2=0.2' lt -1 lc 1, \
	 'v2/v2_a2_3.dat' w l t ' a^2=0.3' lt -1 lc 2, \
	 'v2/v2_a2_4.dat' w l t ' a^2=0.4' lt -1 lc 3, \
	 'v2/v2_a2_5.dat' w l t ' a^2=0.5' lt -1 lc 4, \
	 'v2/v2_a2_6.dat' w l t ' a^2=0.6' lt -1 lc 5, \
	 'v2/v2_a2_7.dat' w l t ' a^2=0.7' lt -1 lc 6, \
	 'v2/v2_a2_8.dat' w l t ' a^2=0.8' lt -1 lc 7, \
	 'v2/v2_a2_9.dat' w l t ' a^2=0.9' lt -1 lc 8
	 
	 
!convert -rotate 90 -density 400 pics/v2_a2.eps pics/v2_a2.png


set out 'pics/v2_b.eps'
set title 'A v_2 változása b különbözö értékeire'

plot 'v2/v2_b_m1.dat' w l t ' b=-0.1' lt -1 lc 0, \
	 'v2/v2_b_m2.dat' w l t ' b=-0.2' lt -1 lc 1, \
	 'v2/v2_b_m3.dat' w l t ' b=-0.3' lt -1 lc 2, \
	 'v2/v2_b_m4.dat' w l t ' b=-0.4' lt -1 lc 3, \
	 'v2/v2_b_m5.dat' w l t ' b=-0.5' lt -1 lc 4, \
	 'v2/v2_b_m6.dat' w l t ' b=-0.6' lt -1 lc 5, \
	 'v2/v2_b_m7.dat' w l t ' b=-0.7' lt -1 lc 6, \
	 'v2/v2_b_m8.dat' w l t ' b=-0.8' lt -1 lc 7
	 
	 
!convert -rotate 90 -density 400 pics/v2_b.eps pics/v2_b.png


set out 'pics/v2_m.eps'
set title 'A v_2 különbözö tömegü részecskék esetén'

plot 'v2/v2_m_pi.dat' w l t ' {/Symbol p}' lt -1 lc 0, \
	 'v2/v2_m_K.dat' w l t ' K' lt -1 lc 1, \
	 'v2/v2_m_p.dat' w l t ' p' lt -1 lc 2
	 
!convert -rotate 90 -density 400 pics/v2_m.eps pics/v2_m.png


set out 'pics/v2_eps2.eps'
set title 'A v_2 változása {/Symbol e}_2 különbözö értékeire'

plot 'v2/v2_eps2_05.dat' w l t '{/Symbol e}_2=0.05' lt -1 lc 0, \
	 'v2/v2_eps2_10.dat' w l t '{/Symbol e}_2=0.1' lt -1 lc 1, \
	 'v2/v2_eps2_15.dat' w l t '{/Symbol e}_2=0.15' lt -1 lc 2, \
	 'v2/v2_eps2_20.dat' w l t '{/Symbol e}_2=0.2' lt -1 lc 3, \
	 'v2/v2_eps2_25.dat' w l t '{/Symbol e}_2=0.25' lt -1 lc 4, \
	 'v2/v2_eps2_30.dat' w l t '{/Symbol e}_2=0.2' lt -1 lc 5, \
	 'v2/v2_eps2_35.dat' w l t '{/Symbol e}_2=0.35' lt -1 lc 6, \
	 'v2/v2_eps2_40.dat' w l t '{/Symbol e}_2=0.4' lt -1 lc 7, \
	 'v2/v2_eps2_45.dat' w l t '{/Symbol e}_2=0.45' lt -1 lc 8
	 
	 
!convert -rotate 90 -density 400 pics/v2_eps2.eps pics/v2_eps2.png


set out 'pics/v2_eps3.eps'
set title 'A v_2 változása {/Symbol e}_3 különbözö értékeire'

plot 'v2/v2_eps3_05.dat' w l t '{/Symbol e}_3=0.05' lt -1 lc 0, \
	 'v2/v2_eps3_10.dat' w l t '{/Symbol e}_3=0.1' lt -1 lc 1, \
	 'v2/v2_eps3_15.dat' w l t '{/Symbol e}_3=0.15' lt -1 lc 2, \
	 'v2/v2_eps3_20.dat' w l t '{/Symbol e}_3=0.2' lt -1 lc 3, \
	 'v2/v2_eps3_25.dat' w l t '{/Symbol e}_3=0.25' lt -1 lc 4, \
	 'v2/v2_eps3_30.dat' w l t '{/Symbol e}_3=0.2' lt -1 lc 5, \
	 'v2/v2_eps3_35.dat' w l t '{/Symbol e}_3=0.35' lt -1 lc 6, \
	 'v2/v2_eps3_40.dat' w l t '{/Symbol e}_3=0.4' lt -1 lc 7, \
	 'v2/v2_eps3_45.dat' w l t '{/Symbol e}_3=0.45' lt -1 lc 8

!convert -rotate 90 -density 400 pics/v2_eps3.eps pics/v2_eps3.png



set out 'pics/v2_chi2.eps'
set title 'A v_2 változása {/Symbol c}_2 különbözö értékeire'

plot 'v2/v2_chi2_05.dat' w l t '{/Symbol e}_2=0.05' lt -1 lc 0, \
	 'v2/v2_chi2_10.dat' w l t '{/Symbol e}_2=0.1' lt -1 lc 1, \
	 'v2/v2_chi2_15.dat' w l t '{/Symbol e}_2=0.15' lt -1 lc 2, \
	 'v2/v2_chi2_20.dat' w l t '{/Symbol e}_2=0.2' lt -1 lc 3, \
	 'v2/v2_chi2_25.dat' w l t '{/Symbol e}_2=0.25' lt -1 lc 4, \
	 'v2/v2_chi2_30.dat' w l t '{/Symbol e}_2=0.2' lt -1 lc 5, \
	 'v2/v2_chi2_35.dat' w l t '{/Symbol e}_2=0.35' lt -1 lc 6, \
	 'v2/v2_chi2_40.dat' w l t '{/Symbol e}_2=0.4' lt -1 lc 7, \
	 'v2/v2_chi2_45.dat' w l t '{/Symbol e}_2=0.45' lt -1 lc 8
	 
	 
!convert -rotate 90 -density 400 pics/v2_chi2.eps pics/v2_chi2.png


set out 'pics/v2_chi3.eps'
set title 'A v_2 változása {/Symbol c}_3 különbözö értékeire'

plot 'v2/v2_chi3_05.dat' w l t '{/Symbol e}_3=0.05' lt -1 lc 0, \
	 'v2/v2_chi3_10.dat' w l t '{/Symbol e}_3=0.1' lt -1 lc 1, \
	 'v2/v2_chi3_15.dat' w l t '{/Symbol e}_3=0.15' lt -1 lc 2, \
	 'v2/v2_chi3_20.dat' w l t '{/Symbol e}_3=0.2' lt -1 lc 3, \
	 'v2/v2_chi3_25.dat' w l t '{/Symbol e}_3=0.25' lt -1 lc 4, \
	 'v2/v2_chi3_30.dat' w l t '{/Symbol e}_3=0.2' lt -1 lc 5, \
	 'v2/v2_chi3_35.dat' w l t '{/Symbol e}_3=0.35' lt -1 lc 6, \
	 'v2/v2_chi3_40.dat' w l t '{/Symbol e}_3=0.4' lt -1 lc 7, \
	 'v2/v2_chi3_45.dat' w l t '{/Symbol e}_3=0.45' lt -1 lc 8

!convert -rotate 90 -density 400 pics/v2_chi3.eps pics/v2_chi3.png
