(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      9916,        277]
NotebookOptionsPosition[      9478,        258]
NotebookOutlinePosition[      9857,        274]
CellTagsIndexPosition[      9814,        271]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"r", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
   RowBox[{"Sqrt", "[", 
    RowBox[{
     RowBox[{"x", "^", "2"}], "+", 
     RowBox[{"y", "^", "2"}]}], "]"}]}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[CurlyPhi]", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
   RowBox[{"ArcTan", "[", 
    RowBox[{"x", ",", "y"}], "]"}]}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ex", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
   RowBox[{"Cos", "[", 
    RowBox[{"\[CurlyPhi]", "[", 
     RowBox[{"x", ",", "y"}], "]"}], "]"}]}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ey", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
   RowBox[{"Sin", "[", 
    RowBox[{"\[CurlyPhi]", "[", 
     RowBox[{"x", ",", "y"}], "]"}], "]"}]}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Vx", "[", 
   RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"r", "[", 
     RowBox[{"x", ",", "y"}], "]"}], 
    RowBox[{"ex", "[", 
     RowBox[{"x", ",", "y"}], "]"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", "\[Chi]2"}], ")"}]}], "+", 
   RowBox[{
    RowBox[{
     RowBox[{"r", "[", 
      RowBox[{"x", ",", "y"}], "]"}], "^", "2"}], "*", "\[Chi]3", "*", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"ex", "[", 
        RowBox[{"x", ",", "y"}], "]"}], "^", "2"}], "-", 
      RowBox[{
       RowBox[{"ey", "[", 
        RowBox[{"x", ",", "y"}], "]"}], "^", "2"}]}], ")"}]}], "+", 
   RowBox[{
    RowBox[{
     RowBox[{"r", "[", 
      RowBox[{"x", ",", "y"}], "]"}], "^", "4"}], "*", "\[Chi]4", "*", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"ey", "[", 
        RowBox[{"x", ",", "y"}], "]"}], "^", "4"}], "+", 
      RowBox[{
       RowBox[{"ex", "[", 
        RowBox[{"x", ",", "y"}], "]"}], "^", "4"}], "-", 
      RowBox[{"6", "*", 
       RowBox[{
        RowBox[{"ey", "[", 
         RowBox[{"x", ",", "y"}], "]"}], "^", "2"}], "*", 
       RowBox[{
        RowBox[{"ey", "[", 
         RowBox[{"x", ",", "y"}], "]"}], "^", "2"}]}]}], 
     ")"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Vy", "[", 
   RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"r", "[", 
     RowBox[{"x", ",", "y"}], "]"}], 
    RowBox[{"ey", "[", 
     RowBox[{"x", ",", "y"}], "]"}], 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Chi]2"}], ")"}]}], "-", 
   RowBox[{"2", "*", 
    RowBox[{
     RowBox[{"r", "[", 
      RowBox[{"x", ",", "y"}], "]"}], "^", "2"}], "*", "\[Chi]3", "*", 
    RowBox[{"ex", "[", 
     RowBox[{"x", ",", "y"}], "]"}], "*", 
    RowBox[{"ey", "[", 
     RowBox[{"x", ",", "y"}], "]"}]}], "+", 
   RowBox[{
    RowBox[{
     RowBox[{"r", "[", 
      RowBox[{"x", ",", "y"}], "]"}], "^", "4"}], "*", "\[Chi]4", "*", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"ey", "[", 
        RowBox[{"x", ",", "y"}], "]"}], "^", "4"}], "+", 
      RowBox[{
       RowBox[{"ex", "[", 
        RowBox[{"x", ",", "y"}], "]"}], "^", "4"}], "-", 
      RowBox[{"6", "*", 
       RowBox[{
        RowBox[{"ey", "[", 
         RowBox[{"x", ",", "y"}], "]"}], "^", "2"}], "*", 
       RowBox[{
        RowBox[{"ey", "[", 
         RowBox[{"x", ",", "y"}], "]"}], "^", "2"}]}]}], 
     ")"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"StreamDensityPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"r", "[", 
          RowBox[{"x", ",", "y"}], "]"}], 
         RowBox[{"ex", "[", 
          RowBox[{"x", ",", "y"}], "]"}], " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "\[Chi]2"}], ")"}]}], "+", 
        RowBox[{
         RowBox[{
          RowBox[{"r", "[", 
           RowBox[{"x", ",", "y"}], "]"}], "^", "2"}], "*", "\[Chi]3", "*", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"ex", "[", 
             RowBox[{"x", ",", "y"}], "]"}], "^", "2"}], "-", 
           RowBox[{
            RowBox[{"ey", "[", 
             RowBox[{"x", ",", "y"}], "]"}], "^", "2"}]}], ")"}]}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"r", "[", 
          RowBox[{"x", ",", "y"}], "]"}], 
         RowBox[{"ey", "[", 
          RowBox[{"x", ",", "y"}], "]"}], 
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Chi]2"}], ")"}]}], "-", 
        RowBox[{"2", "*", 
         RowBox[{
          RowBox[{"r", "[", 
           RowBox[{"x", ",", "y"}], "]"}], "^", "2"}], "*", "\[Chi]3", "*", 
         RowBox[{"ex", "[", 
          RowBox[{"x", ",", "y"}], "]"}], "*", 
         RowBox[{"ey", "[", 
          RowBox[{"x", ",", "y"}], "]"}]}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
     RowBox[{"ColorFunction", "\[Rule]", "\"\<ThermometerColors\>\""}]}], 
    "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Chi]2", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Chi]3", ",", "0", ",", "1"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.6048265107107844`*^9, 3.604826525702642*^9}, {
  3.604826649859743*^9, 3.6048266969414363`*^9}, {3.6048267714286966`*^9, 
  3.604826772409753*^9}, {3.604826871127399*^9, 3.6048269640617146`*^9}, {
  3.6048269971566076`*^9, 3.604826997409622*^9}, {3.604827042112179*^9, 
  3.6048270430512323`*^9}, {3.6048271148913417`*^9, 3.6048271158413963`*^9}, {
  3.6048273484256988`*^9, 3.604827348986731*^9}, {3.60482750473864*^9, 
  3.6048275192284684`*^9}, {3.604827552879393*^9, 3.6048275795169163`*^9}, {
  3.604827700630844*^9, 3.604827820391694*^9}, {3.6048278779689875`*^9, 
  3.604827881498189*^9}, {3.6048279117699203`*^9, 3.604828164857396*^9}, {
  3.604829196212386*^9, 3.6048292120372915`*^9}, {3.6048293113279705`*^9, 
  3.6048293425367556`*^9}, {3.604829404430296*^9, 3.604829405344348*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`\[Chi]2$$ = 0, $CellContext`\[Chi]3$$ = 0, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`\[Chi]2$$], 0, 1}, {
      Hold[$CellContext`\[Chi]3$$], 0, 1}}, Typeset`size$$ = {
    396., {191., 196.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`\[Chi]2$290319$$ = 
    0, $CellContext`\[Chi]3$290320$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`\[Chi]2$$ = 0, $CellContext`\[Chi]3$$ = 0},
       "ControllerVariables" :> {
        Hold[$CellContext`\[Chi]2$$, $CellContext`\[Chi]2$290319$$, 0], 
        Hold[$CellContext`\[Chi]3$$, $CellContext`\[Chi]3$290320$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      StreamDensityPlot[{$CellContext`r[$CellContext`x, $CellContext`y] \
$CellContext`ex[$CellContext`x, $CellContext`y] (
           1 + $CellContext`\[Chi]2$$) + $CellContext`r[$CellContext`x, \
$CellContext`y]^2 $CellContext`\[Chi]3$$ ($CellContext`ex[$CellContext`x, \
$CellContext`y]^2 - $CellContext`ey[$CellContext`x, $CellContext`y]^2), \
$CellContext`r[$CellContext`x, $CellContext`y] \
$CellContext`ey[$CellContext`x, $CellContext`y] (1 - $CellContext`\[Chi]2$$) - 
         2 $CellContext`r[$CellContext`x, $CellContext`y]^2 $CellContext`\
\[Chi]3$$ $CellContext`ex[$CellContext`x, $CellContext`y] \
$CellContext`ey[$CellContext`x, $CellContext`y]}, {$CellContext`x, -1, 
         1}, {$CellContext`y, -1, 1}, ColorFunction -> "ThermometerColors"], 
      "Specifications" :> {{$CellContext`\[Chi]2$$, 0, 
         1}, {$CellContext`\[Chi]3$$, 0, 1}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{451., {259., 264.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.604828045023542*^9, {3.6048281367507887`*^9, 3.6048281664914894`*^9}, 
   3.6048292161015244`*^9, {3.604829317055298*^9, 3.6048293449338927`*^9}, 
   3.6048294098926077`*^9}]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.604827615850995*^9, 3.604827642936544*^9}}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.6048276376762433`*^9, 3.604827639232332*^9}}]
},
WindowSize->{707, 574},
WindowMargins->{{137, Automatic}, {Automatic, 18}},
Magnification->1.100000023841858,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 6005, 175, 333, "Input"],
Cell[6587, 199, 2683, 50, 573, "Output"]
}, Open  ]],
Cell[9285, 252, 92, 1, 32, "Input"],
Cell[9380, 255, 94, 1, 32, InheritFromParent]
}
]
*)

(* End of internal cache information *)
